Package org.jfree.layouting.layouter.style.resolver.computed.border

## Class BorderWidthResolveHandler

- java.lang.Object
- - org.jfree.layouting.layouter.style.resolver.computed.ConstantsResolveHandler
  - - org.jfree.layouting.layouter.style.resolver.computed.border.BorderWidthResolveHandler

- All Implemented Interfaces:
    `ResolveHandler`

      public class BorderWidthResolveHandler
      extends ConstantsResolveHandler

  Creation-Date: 11.12.2005, 22:20:16
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BorderWidthResolveHandler​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `StyleKey[]` | `getRequiredStyles​()` | This indirectly defines the resolve order.
    `protected CSSValue` | `resolveValue​(LayoutProcess process, LayoutElement currentNode, StyleKey key)` |

    - ### Methods inherited from class org.jfree.layouting.layouter.style.resolver.computed.ConstantsResolveHandler

      `addNormalizeValue, addValue, getFallback, lookupValue, resolve, setFallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BorderWidthResolveHandler

          public BorderWidthResolveHandler​()

  - ### Method Detail

    - #### getRequiredStyles

          public StyleKey[] getRequiredStyles​()

      This indirectly defines the resolve order. The higher the order, the more dependent is the resolver on other resolvers to be complete.
      Specified by:
        `getRequiredStyles` in interface `ResolveHandler`
      Overrides:
        `getRequiredStyles` in class `ConstantsResolveHandler`
      Returns:
        the array of required style keys.

    - #### resolveValue

          protected CSSValue resolveValue​(LayoutProcess process,
                                          LayoutElement currentNode,
                                          StyleKey key)

      Overrides:
        `resolveValue` in class `ConstantsResolveHandler`